Package com.zfabrik.impl.components.java

## Class CompilationContextImpl

- java.lang.Object
- - com.zfabrik.impl.components.java.CompilationContextImpl

- All Implemented Interfaces:
    `com.zfabrik.components.java.build.ICompilationContext`

      public class CompilationContextImpl
      extends java.lang.Object
      implements com.zfabrik.components.java.build.ICompilationContext

  Simple impl of `ICompilationContext`.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CompilationContextImpl​(java.lang.String componentName, java.io.File runtimeResources, java.io.File[] sourceFolders, java.io.File outputFolder, java.lang.ClassLoader classPath, com.zfabrik.components.java.IJavaComponent.Part part)` | Instantiates a new compilation context impl.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.ClassLoader` | `getClassPath()` | Gets a class loader as class path abstraction for this compilation
    `java.lang.String` | `getComponentName()` | Gets the name of the component to be compiled
    `java.io.File` | `getOutputFolder()` | Gets the folder to put compile results and that may already contain compilation results from other compilers
    `com.zfabrik.components.java.IJavaComponent.Part` | `getPart()` | `IJavaComponent.Part` of the component to compile
    `java.io.File` | `getRuntimeResources()` | Get the runtime resources folder for the Java component currently under construction.
    `java.io.File[]` | `getSourceFolders()` | Gets the folder containing the source files

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CompilationContextImpl

          public CompilationContextImpl​(java.lang.String componentName,
                                        java.io.File runtimeResources,
                                        java.io.File[] sourceFolders,
                                        java.io.File outputFolder,
                                        java.lang.ClassLoader classPath,
                                        com.zfabrik.components.java.IJavaComponent.Part part)

      Instantiates a new compilation context impl.
      Parameters:
        `componentName` - the component name
        `sourceFolders` - the source folders
        `outputFolder` - the output folder
        `classPath` - the class path
        `part` - the part

  - ### Method Detail

    - #### getComponentName

          public java.lang.String getComponentName()

      Description copied from interface: `com.zfabrik.components.java.build.ICompilationContext`
      Gets the name of the component to be compiled
      Specified by:
        `getComponentName` in interface `com.zfabrik.components.java.build.ICompilationContext`
      See Also:
        `ICompilationContext.getComponentName()`

    - #### getRuntimeResources

          public java.io.File getRuntimeResources()

      Description copied from interface: `com.zfabrik.components.java.build.ICompilationContext`
      Get the runtime resources folder for the Java component currently under construction. This is the place to put any build results and modifications. Do NOT modify the original component resources.
      Specified by:
        `getRuntimeResources` in interface `com.zfabrik.components.java.build.ICompilationContext`
      See Also:
        `ICompilationContext.getRuntimeResources()`

    - #### getSourceFolders

          public java.io.File[] getSourceFolders()

      Description copied from interface: `com.zfabrik.components.java.build.ICompilationContext`
      Gets the folder containing the source files
      Specified by:
        `getSourceFolders` in interface `com.zfabrik.components.java.build.ICompilationContext`
      See Also:
        `ICompilationContext.getSourceFolders()`

    - #### getOutputFolder

          public java.io.File getOutputFolder()

      Description copied from interface: `com.zfabrik.components.java.build.ICompilationContext`
      Gets the folder to put compile results and that may already contain compilation results from other compilers
      Specified by:
        `getOutputFolder` in interface `com.zfabrik.components.java.build.ICompilationContext`
      See Also:
        `ICompilationContext.getOutputFolder()`

    - #### getClassPath

          public java.lang.ClassLoader getClassPath()

      Description copied from interface: `com.zfabrik.components.java.build.ICompilationContext`
      Gets a class loader as class path abstraction for this compilation
      Specified by:
        `getClassPath` in interface `com.zfabrik.components.java.build.ICompilationContext`
      See Also:
        `ICompilationContext.getClassPath()`

    - #### getPart

          public com.zfabrik.components.java.IJavaComponent.Part getPart()

      Description copied from interface: `com.zfabrik.components.java.build.ICompilationContext`
      `IJavaComponent.Part` of the component to compile
      Specified by:
        `getPart` in interface `com.zfabrik.components.java.build.ICompilationContext`
      See Also:
        `ICompilationContext.getPart()`